VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "MailEnable Mailbox Export Utility"
   ClientHeight    =   5910
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5190
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5910
   ScaleWidth      =   5190
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtAlias 
      Height          =   360
      Left            =   2445
      TabIndex        =   2
      Text            =   "{Enter Mailbox/Alias Here}"
      Top             =   4260
      Width           =   2640
   End
   Begin VB.CommandButton CmdCancel 
      Caption         =   "&Close"
      Height          =   360
      Left            =   3840
      TabIndex        =   5
      Top             =   5415
      Width           =   1275
   End
   Begin VB.CommandButton CmdExport 
      Caption         =   "&Export.."
      Height          =   360
      Left            =   2475
      TabIndex        =   4
      Top             =   5415
      Width           =   1275
   End
   Begin VB.TextBox txtDomainSuffix 
      Height          =   360
      Left            =   2445
      TabIndex        =   3
      Text            =   "{Enter Destination Domain Here}"
      Top             =   4695
      Width           =   2640
   End
   Begin VB.ListBox lstMailboxes 
      Height          =   1230
      Left            =   2445
      MultiSelect     =   2  'Extended
      TabIndex        =   1
      Top             =   2790
      Width           =   2625
   End
   Begin VB.ComboBox lstPostoffices 
      Height          =   315
      Left            =   2445
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   2430
      Width           =   2655
   End
   Begin VB.Label Label6 
      Caption         =   "Target Address  (eg:x@y.com):"
      Height          =   270
      Left            =   120
      TabIndex        =   11
      Top             =   4320
      Width           =   2325
   End
   Begin VB.Label Label5 
      Caption         =   $"frmMain.frx":0E42
      Height          =   1605
      Left            =   120
      TabIndex        =   10
      Top             =   645
      Width           =   4905
   End
   Begin VB.Line Line1 
      X1              =   5070
      X2              =   120
      Y1              =   5280
      Y2              =   5280
   End
   Begin VB.Label Label4 
      Caption         =   "Target Domain/IP Address::"
      Height          =   270
      Left            =   120
      TabIndex        =   9
      Top             =   4770
      Width           =   2190
   End
   Begin VB.Label Label3 
      Caption         =   "This utility facilitates exporting mail from MailEnable to a remote mail system using its SMTP Connector."
      Height          =   540
      Left            =   120
      TabIndex        =   8
      Top             =   135
      Width           =   4830
   End
   Begin VB.Label Label2 
      Caption         =   "Mailboxes on this Postoffice:"
      Height          =   240
      Left            =   120
      TabIndex        =   7
      Top             =   2805
      Width           =   2055
   End
   Begin VB.Label Label1 
      Caption         =   "Name of Postoffice to export:"
      Height          =   300
      Left            =   120
      TabIndex        =   6
      Top             =   2490
      Width           =   2100
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
'   Module: Migration (Mailbox)
'   Copyright: (C) MailEnable Pty Ltd, 2001
'   Purpose:
'
'   Revisions:
'       - Initial Version
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Option Explicit

Sub ListPostoffices()
    
    Dim oPO As Object
    Dim APIResult As Long
    
    Set oPO = CreateObject("MEAOPO.Postoffice")
    
    oPO.Account = ""
    oPO.Name = ""
    oPO.Status = -1
    APIResult = oPO.FindFirstPostoffice
    If APIResult = 1 Then
        While APIResult = 1
            Me.lstPostoffices.AddItem oPO.Name
            oPO.Account = ""
            oPO.Name = ""
            oPO.Status = -1
            APIResult = oPO.FindNextPostoffice
        Wend
        Me.lstPostoffices.ListIndex = 0
    End If
    Set oPO = Nothing

End Sub


Sub ListMailboxes(Postoffice As String)
    
    Dim oMailbox As Object
    Dim APIResult As Long
    
    Me.lstMailboxes.Clear
    
    Set oMailbox = CreateObject("MEAOPO.Mailbox")
    
    With oMailbox
        .Limit = -1
        .Mailbox = ""
        .Postoffice = Postoffice
        .RedirectAddress = ""
        .RedirectStatus = -1
        .Size = -1
        .Status = -1
        APIResult = .FindFirstMailbox
    End With
    
    If APIResult = 1 Then
        While APIResult = 1
            With oMailbox
                Me.lstMailboxes.AddItem .Mailbox
                .Limit = -1
                .Mailbox = ""
                .Postoffice = Postoffice
                .RedirectAddress = ""
                .RedirectStatus = -1
                .Size = -1
                .Status = -1
                APIResult = .FindNextMailbox
            End With
        Wend
    End If
    
    Set oMailbox = Nothing

End Sub


Private Sub CmdCancel_Click()
    Unload Me
End Sub


Private Sub CmdExport_Click()
    
    With frmStatus
        .Postoffice = Me.lstPostoffices.Text
        .Mailbox = Me.lstMailboxes.Text
        .MigrationSourceDomainName = Me.txtDomainSuffix
        .MigrationTargetDomainName = Me.txtDomainSuffix
        .MigrationTargetAlias = Me.txtAlias.Text
        .Execute
    End With
    
End Sub


Private Sub Form_Load()
    
    ListPostoffices

End Sub


Private Sub lstPostoffices_Click()
    
    ListMailboxes lstPostoffices.Text

End Sub

