VERSION 5.00
Begin VB.Form frmStatus 
   Caption         =   "Migrating... Please Wait"
   ClientHeight    =   1110
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "frmStatus.frx":0000
   LinkTopic       =   "Form2"
   ScaleHeight     =   1110
   ScaleWidth      =   4680
   StartUpPosition =   1  'CenterOwner
   Begin VB.Label lblAction 
      Height          =   240
      Left            =   105
      TabIndex        =   0
      Top             =   165
      Width           =   4485
   End
End
Attribute VB_Name = "frmStatus"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public Postoffice As String
Public Mailbox As String
Public MigrationTargetDomainName As String
Public MigrationSourceDomainName As String
Public MigrationTargetAlias As String

Sub ExportMessage(MessagePath As String, MessageFileName As String)
    
    Dim TargetCommandFileName As String
    Dim TargetMessageFileName As String
    Dim oTS As Object
    Dim oSFS As Object
    
    Set oSFS = CreateObject("Scripting.FileSystemObject")
    
    TargetCommandFileName = modConfig.GetDataDirectory & "\QUEUES\SMTP\Outgoing\" & MessageFileName
    TargetMessageFileName = modConfig.GetDataDirectory & "\QUEUES\SMTP\Outgoing\Messages\" & MessageFileName
    '
    ' We need to copy the message file to the SMTP outbound connector
    '
    On Error Resume Next '-hehe
    oSFS.CopyFile MessagePath & "\" & MessageFileName, TargetMessageFileName, False
    
    ' We need to make a command file for the message
    Set oTS = oSFS.OpenTextFile(TargetCommandFileName, 2, True)
    oTS.WriteLine "Recipients=[SMTP:" & MigrationTargetAlias & "]"
    oTS.WriteLine "Domain=" & MigrationTargetDomainName
    oTS.WriteLine "Server=MESRV01"
    oTS.WriteLine "Sender=[SMTP:Postmaster@" & MigrationSourceDomainName & "]"
    oTS.WriteLine "TimeAcquired=1035118316"
    oTS.WriteLine "Status=UnSent"
    oTS.Close
    Set oTS = Nothing
    Set oSFS = Nothing
End Sub

Public Function Execute()
    
    Dim sMessageFolderpath As String
    Dim oSFS As Object
    Dim oFile As Object
    
    lblAction.Caption = Me.Mailbox
    Me.Show
    
    sMessageFolderpath = modConfig.GetDataDirectory & "\POSTOFFICES\" & Me.Postoffice & "\MAILROOT\" & Me.Mailbox & "\Inbox"
    
    Set oSFS = CreateObject("Scripting.FileSystemObject")
    If oSFS.FolderExists(sMessageFolderpath) Then
        For Each oFile In oSFS.GetFolder(sMessageFolderpath).Files
            ExportMessage sMessageFolderpath, oFile.Name
        Next
    End If
    Set oSFS = Nothing
    
    Unload Me

End Function

